Upstream information

CVE-2017-1000083 at MITRE

Description

backend/comics/comics-document.c (aka the comic book backend) in GNOME Evince before 3.24.1 allows remote attackers to execute arbitrary commands via a .cbt file that is a TAR archive containing a filename beginning with a "--" command-line option substring, as demonstrated by a --checkpoint-action=exec=bash at the beginning of the filename.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 6.3
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1046856 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.19.15
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1171
SUSE-SLE-DESKTOP-12-SP2-2017-1479
SUSE-SLE-DESKTOP-12-SP2-2017-2146
SUSE Linux Enterprise Desktop 12 SP3
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.19.15
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1479
SUSE-SLE-DESKTOP-12-SP3-2017-2146
SUSE Linux Enterprise Module for Desktop Applications 15
  • evince >= 3.26.0+20180128.1bd86963-2.41
  • evince-devel >= 3.26.0+20180128.1bd86963-2.41
  • evince-lang >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-djvudocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-dvidocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-pdfdocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-psdocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-tiffdocument >= 3.26.0+20180128.1bd86963-2.41
  • evince-plugin-xpsdocument >= 3.26.0+20180128.1bd86963-2.41
  • libevdocument3-4 >= 3.26.0+20180128.1bd86963-2.41
  • libevview3-3 >= 3.26.0+20180128.1bd86963-2.41
  • nautilus-evince >= 3.26.0+20180128.1bd86963-2.41
  • typelib-1_0-EvinceDocument-3_0 >= 3.26.0+20180128.1bd86963-2.41
  • typelib-1_0-EvinceView-3_0 >= 3.26.0+20180128.1bd86963-2.41
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA evince
SUSE Linux Enterprise Server 12 SP1-LTSS
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1170
SUSE Linux Enterprise Server 12 SP2
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1171
SUSE-SLE-SERVER-12-SP2-2017-1479
SUSE-SLE-SERVER-12-SP2-2017-2146
SUSE Linux Enterprise Server 12 SP3
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1479
SUSE-SLE-SERVER-12-SP3-2017-2146
SUSE Linux Enterprise Server 12-LTSS
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1170
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1171
SUSE-SLE-RPI-12-SP2-2017-1479
SUSE-SLE-RPI-12-SP2-2017-2146
SUSE Linux Enterprise Server for SAP Applications 12
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-SLE-SAP-12-2017-1170
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1170
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1170
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1171
SUSE-SLE-SERVER-12-SP2-2017-1479
SUSE-SLE-SERVER-12-SP2-2017-2146
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • evince >= 3.20.2-6.19.15
  • evince-browser-plugin >= 3.20.2-6.19.15
  • evince-lang >= 3.20.2-6.19.15
  • evince-plugin-djvudocument >= 3.20.2-6.19.15
  • evince-plugin-dvidocument >= 3.20.2-6.19.15
  • evince-plugin-pdfdocument >= 3.20.2-6.19.15
  • evince-plugin-psdocument >= 3.20.2-6.19.15
  • evince-plugin-tiffdocument >= 3.20.2-6.19.15
  • evince-plugin-xpsdocument >= 3.20.2-6.19.15
  • libevdocument3-4 >= 3.20.2-6.19.15
  • libevview3-3 >= 3.20.2-6.19.15
  • nautilus-evince >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1479
SUSE-SLE-SERVER-12-SP3-2017-2146
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1170
SUSE Linux Enterprise Software Development Kit 12 SP2
  • evince >= 3.20.2-6.19.15
  • evince-devel >= 3.20.2-6.19.15
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.19.15
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1171
SUSE-SLE-SDK-12-SP2-2017-1479
SUSE-SLE-SDK-12-SP2-2017-2146
SUSE Linux Enterprise Software Development Kit 12 SP3
  • evince >= 3.20.2-6.19.15
  • evince-devel >= 3.20.2-6.19.15
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.19.15
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1479
SUSE-SLE-SDK-12-SP3-2017-2146
SUSE Linux Enterprise Workstation Extension 12 SP2
  • evince >= 3.20.2-6.19.15
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.19.15
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-WE-12-SP2-2017-1171
SUSE-SLE-WE-12-SP2-2017-1479
SUSE-SLE-WE-12-SP2-2017-2146
SUSE Linux Enterprise Workstation Extension 12 SP3
  • evince >= 3.20.2-6.19.15
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.19.15
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.19.15
Patchnames:
SUSE-SLE-WE-12-SP3-2017-1479
SUSE-SLE-WE-12-SP3-2017-2146
SUSE OpenStack Cloud 6
  • evince >= 3.10.3-2.3.1
  • evince-lang >= 3.10.3-2.3.1
  • libevdocument3-4 >= 3.10.3-2.3.1
  • libevview3-3 >= 3.10.3-2.3.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1170
openSUSE Leap 15.0
  • evince >= 3.26.0+20180128.1bd86963-lp150.2.4
  • evince-lang >= 3.26.0+20180128.1bd86963-lp150.2.4
  • evince-plugin-pdfdocument >= 3.26.0+20180128.1bd86963-lp150.2.4
  • evince-plugin-psdocument >= 3.26.0+20180128.1bd86963-lp150.2.4
  • libevdocument3-4 >= 3.26.0+20180128.1bd86963-lp150.2.4
  • libevview3-3 >= 3.26.0+20180128.1bd86963-lp150.2.4
  • nautilus-evince >= 3.26.0+20180128.1bd86963-lp150.2.4
  • typelib-1_0-EvinceDocument-3_0 >= 3.26.0+20180128.1bd86963-lp150.2.4
  • typelib-1_0-EvinceView-3_0 >= 3.26.0+20180128.1bd86963-lp150.2.4
Patchnames:
openSUSE Leap 15.0 GA evince
openSUSE Leap 42.2
  • evince >= 3.20.2-2.6.1
  • evince-browser-plugin >= 3.20.2-2.6.1
  • evince-browser-plugin-debuginfo >= 3.20.2-2.6.1
  • evince-debuginfo >= 3.20.2-2.6.1
  • evince-debugsource >= 3.20.2-2.6.1
  • evince-devel >= 3.20.2-2.6.1
  • evince-lang >= 3.20.2-2.6.1
  • evince-plugin-comicsdocument >= 3.20.2-2.6.1
  • evince-plugin-comicsdocument-debuginfo >= 3.20.2-2.6.1
  • evince-plugin-djvudocument >= 3.20.2-2.6.1
  • evince-plugin-djvudocument-debuginfo >= 3.20.2-2.6.1
  • evince-plugin-dvidocument >= 3.20.2-2.6.1
  • evince-plugin-dvidocument-debuginfo >= 3.20.2-2.6.1
  • evince-plugin-pdfdocument >= 3.20.2-2.6.1
  • evince-plugin-pdfdocument-debuginfo >= 3.20.2-2.6.1
  • evince-plugin-psdocument >= 3.20.2-2.6.1
  • evince-plugin-psdocument-debuginfo >= 3.20.2-2.6.1
  • evince-plugin-tiffdocument >= 3.20.2-2.6.1
  • evince-plugin-tiffdocument-debuginfo >= 3.20.2-2.6.1
  • evince-plugin-xpsdocument >= 3.20.2-2.6.1
  • evince-plugin-xpsdocument-debuginfo >= 3.20.2-2.6.1
  • libevdocument3-4 >= 3.20.2-2.6.1
  • libevdocument3-4-debuginfo >= 3.20.2-2.6.1
  • libevview3-3 >= 3.20.2-2.6.1
  • libevview3-3-debuginfo >= 3.20.2-2.6.1
  • nautilus-evince >= 3.20.2-2.6.1
  • nautilus-evince-debuginfo >= 3.20.2-2.6.1
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-2.6.1
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-2.6.1
Patchnames:
openSUSE-2017-1417
openSUSE-2017-834
openSUSE Leap 42.3
  • evince >= 3.20.1-4.1
  • evince-browser-plugin >= 3.20.1-4.1
  • evince-browser-plugin-debuginfo >= 3.20.2-6.1
  • evince-debuginfo >= 3.20.2-6.1
  • evince-debugsource >= 3.20.2-6.1
  • evince-devel >= 3.20.2-6.1
  • evince-lang >= 3.20.1-4.1
  • evince-plugin-comicsdocument >= 3.20.1-4.1
  • evince-plugin-comicsdocument-debuginfo >= 3.20.2-6.1
  • evince-plugin-djvudocument >= 3.20.1-4.1
  • evince-plugin-djvudocument-debuginfo >= 3.20.2-6.1
  • evince-plugin-dvidocument >= 3.20.1-4.1
  • evince-plugin-dvidocument-debuginfo >= 3.20.2-6.1
  • evince-plugin-pdfdocument >= 3.20.1-4.1
  • evince-plugin-pdfdocument-debuginfo >= 3.20.2-6.1
  • evince-plugin-psdocument >= 3.20.1-4.1
  • evince-plugin-psdocument-debuginfo >= 3.20.2-6.1
  • evince-plugin-tiffdocument >= 3.20.1-4.1
  • evince-plugin-tiffdocument-debuginfo >= 3.20.2-6.1
  • evince-plugin-xpsdocument >= 3.20.1-4.1
  • evince-plugin-xpsdocument-debuginfo >= 3.20.2-6.1
  • libevdocument3-4 >= 3.20.1-4.1
  • libevdocument3-4-debuginfo >= 3.20.2-6.1
  • libevview3-3 >= 3.20.1-4.1
  • libevview3-3-debuginfo >= 3.20.2-6.1
  • nautilus-evince >= 3.20.1-4.1
  • nautilus-evince-debuginfo >= 3.20.2-6.1
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.1-4.1
  • typelib-1_0-EvinceView-3_0 >= 3.20.1-4.1
Patchnames:
openSUSE Leap 42.3 GA evince
openSUSE-2017-1417


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 evince Released
SUSE Linux Enterprise Desktop 12 SP3 evince Released
SUSE Linux Enterprise SDK 11 SP4 evince Not affected
SUSE Linux Enterprise SDK 12 SP2 evince Released
SUSE Linux Enterprise SDK 12 SP3 evince Released
SUSE Linux Enterprise Server 11 SP3 LTSS evince Not affected
SUSE Linux Enterprise Server 11 SP4 evince Not affected
SUSE Linux Enterprise Server 12 GA LTSS evince Released
SUSE Linux Enterprise Server 12 SP1 LTSS evince Released
SUSE Linux Enterprise Server 12 SP2 evince Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI evince Released
SUSE Linux Enterprise Server 12 SP3 evince Released
SUSE Linux Enterprise Workstation Extension 12 SP2 evince Released
SUSE Linux Enterprise Workstation Extension 12 SP3 evince Released